Summary: 	IPv6 address format change and calculation utility
Name: 		ipv6calc
Version: 	0.61
Release: 	1
Group:		Applications/Text
URL: 		http://www.deepspace6.net/projects/%{name}.html
License: 	GNU GPL version 2
Source: 	ftp://ftp.bieringer.de/pub/linux/IPv6/ipv6calc/%{name}-%{version}.tar.gz
Requires:	krb5-libs
BuildRequires:	krb5-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
ipv6calc is a small utility which formats and calculates IPv6 addresses in
different ways.

Install this package, if you want to extend the existing address detection
on IPv6 initscript setup or make life easier in adding reverse IPv6 zones
to DNS or using in DNS queries like
 dig -t ANY `ipv6calc -r 3ffe:ffff:100::1/48`
Many more format conversions are supported, see given URL for more.

%prep
%setup -q
%configure

%build
make COPTS="$RPM_OPT_FLAGS"
	
%install
rm -rf $RPM_BUILD_ROOT
make installonly root=$RPM_BUILD_ROOT

# Copy examples and helper files together
mkdir -p redhat/{ipv6logconv,ipv6logstats/examples-{data,gri},ipv6calcweb}
cp -f ipv6calcweb/{USAGE,ipv6calcweb.cgi} redhat/ipv6calcweb
cp -f examples/analog/{analog-,ipv6calc.tab,run_analog.sh}* redhat/ipv6logconv
cp -f ipv6logstats/{README,collect_,example_}* redhat/ipv6logstats
cp -f ipv6logstats/examples-data/*.txt redhat/ipv6logstats/examples-data
cp -f ipv6logstats/examples-gri/*.gri redhat/ipv6logstats/examples-gri
 
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%doc ChangeLog README CREDITS TODO COPYING LICENSE USAGE doc/ipv6calc.* redhat/*
%{_bindir}/%{name}
%{_bindir}/ipv6logconv
%{_bindir}/ipv6logstats
%{_mandir}/man8/*

%changelog
* Fri Sep 01 2006 Marcela Maslanova <mmaslano@redhat.com> - 0.61-1
- upgrade to 0.61-1 - from upstream

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.60.1-1.1
- rebuild

* Tue Jul 11 2006 Radek Vokál <rvokal@redhat.com> 0.60.1-1
- upgrade to 0.60.1 - fix for big endian archs

* Sun Jun 25 2006 Radek Vokál <rvokal@redhat.com> 0.60.0-1
- upgrade to 0.60.0

* Wed Feb 22 2006 Radek Vokál <rvokal@redhat.com> 0.51-1
- upgrade to 0.51

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.50-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.50-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Sep 16 2005 Radek Vokal <rvokal@redhat.com> 0.50-1
- due to several other off-by-one bugs upgrade to 0.50

* Thu Sep 15 2005 Radek Vokal <rvokal@redhat.com> 0.49-2
- smash stack fix in ipv6calc_copy
- increase len of tmpstr

* Thu Sep 15 2005 Radek Vokal <rvokal@redhat.com> 0.49-1
- upgrade to 0.49

* Tue Apr 19 2005 Radek Vokal <rvokal@redhat.com> 0.48-5
- using CVS tarball, patch clean-up

* Sun Apr 17 2005 Robert Scheck <redhat@linuxnetz.de> 
- lots of spec file cleanups (#155164)

* Wed Apr 13 2005 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Fri Mar 04 2005 Radek Vokal <rvokal@redhat.com> 0.48-3
- gcc4 rebuilt

* Mon Nov 1 2004 Radek Vokal <rvokal@redhat.com> 0.48-2
- spec file cleanup
- md5 patch for makefile

* Sat Oct 30 2004 Peter Bieringer <pb@bieringer.de> 
- remove openssl(-devel) from requirements, no longer needed

* Tue Oct 26 2004 Radek Vokal <rvokal@redhat.com> 0.47-4
- spec file cleanup, typo patch

* Mon Oct 18 2004 Radek Vokal <rvokal@redhat.com> 0.47-3
- initial build for Fedora Core

* Fri Nov 22 2003 Peter Bieringer <pb@bieringer.de>
- adjustments

* Fri Nov 21 2003 Peter Bieringer <pb@bieringer.de>
- add ipv6logstats
- add man pages
- add configure options

* Tue Nov 11 2002 Peter Bieringer <pb@bieringer.de>
- change IPv6 address in %description

* Sat Apr 20 2002 Peter Bieringer <pb@bieringer.de>
- Change URL

* Mon Apr 07 2002 Peter Bieringer <pb@bieringer.de>
- add more analog example files

* Mon Apr 05 2002 Peter Bieringer <pb@bieringer.de>
- remove BuildRequires extension, not needed for normal build

* Mon Mar 24 2002 Peter Bieringer <pb@bieringer.de>
- extend BuildRequires for perl /usr/bin/aggregate wget

* Mon Mar 18 2002 Peter Bieringer <pb@bieringer.de>
- add ipv6calcweb.cgi

* Mon Mar 16 2002 Peter Bieringer <pb@bieringer.de>
- add ipv6logconv, analog examples

* Mon Mar 11 2002 Peter Bieringer <pb@bieringer.de>
- Add perl to buildrequire and openssl to require

* Mon Jan 21 2002 Peter Bieringer <pb@bieringer.de>
- Add LICENSE + COPYING file

* Thu Dec 27 2001 Peter Bieringer <pb@bieringer.de>
- Add comment header
- Add call to configure on build

* Tue Dec 18 2001 Peter Bieringer <pb@bieringer.de>
- Replace hardwired version number with autoconf/configure variable

* Wed Apr 25 2001 Peter Bieringer <pb@bieringer.de>
- Fix permissions of doc files

* Thu Mar 15 2001 Peter Bieringer <pb@bieringer.de>
- Add doc directory also to %files to make sure the directory will be removed
   on update or deinstall
- change install permissions for entries in doc directory
- change "make install" to "make installonly" (make test should be only executed once" 

* Wed Mar 14 2001 Peter Bieringer <pb@bieringer.de>
- Add "make clean" and "make test" on %build

* Tue Mar 13 2001 Peter Bieringer <pb@bieringer.de>
- add CREDITS and TODO for install

* Sat Mar 10 2001 Peter Bieringer <pb@bieringer.de>
- enable "URL"

* Sun Mar 04 2001 Peter Bieringer <pb@bieringer.de>
- change install location to /bin

* Tue Feb 27 2001 Peter Bieringer <pb@bieringer.de>
- review for new release, now named "ipv6calc"
- review install section for RedHat 7.0.91

* Sun Feb 25 2001 Peter Bieringer <pb@bieringer.de>
- initial build
